#!/bin/sh
#
#
# This script is responsible for downloading weather maps and weather
# information for vdr-plugin-weatherng
#

CACHEDIR=/var/cache/vdr-plugin-weatherng
CFGFILE=/etc/vdr/plugins/weatherng.conf

if [ -f $CFGFILE ] ; then
    . $CFGFILE
else
    echo "config file '$CFGFILE' not found" >&2 
    exit 1
fi

if [ ! -d $CACHEDIR ] ; then
    echo "cache dir '$CACHEDIR' not found" >&2 
    exit 1
fi


#
# Download weather maps
#
for URL_NUMBER in $(seq 1 5) ; do
    URL=`eval echo \\$MAP_URL_$URL_NUMBER`
    PIC_NUMBER=`expr $URL_NUMBER - 1`
    wget -t 4 -T 20 "$URL" -O "$CACHEDIR/pic$PIC_NUMBER"
done


#
# Download XML Feed from The Weather Channel
#
for STATION_NO in 1 2 3 ; do
    STATION_ID=`eval echo \\$TWC_STATION_ID_$STATION_NO`
    if [ -n "$STATION_ID" ] ; then
        wget -t 4 -T 20 "http://xoap.weather.com/weather/local/${STATION_ID}?cc=*&unit=m&dayf=10&link=xoap&prod=xoap&par=${TWC_PARTNER_ID}&key=${TWC_LICENSE_KEY}" -O "$CACHEDIR/data$STATION_NO.xml"
    fi
done
